Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

firefox complains about outdated flash plugin, but I am on the adobe flash ESR channel and I have the latest ESR rev.

  • 2 replies
  • 24 have this problem
  • 3922 views
  • Last reply by James

more options

It seems to me that firefox is not aware of the ESR channel of adobe flash. I am on the latest flash ESR rev but firefox keeps complaining about an unsafe outdated flash player.

Chosen solution

Mozilla is aware of the current Flash Player 13.0.0.302 ESR.

June 30, 2015: https://addons.mozilla.org/firefox/blocked/p928 Flash Player Plugin 13.0.0.269 to 13.0.0.295

Mozilla adds version of Plugins and Extensions to the blocklist when they are of serious security, stability and malware concerns. https://addons.mozilla.org/firefox/blocked/

https://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html https://www.adobe.com/products/flashplayer/distribution3.html http://www.adobe.com/software/flash/about/

Make sure Firefox is closed/exited before you uninstall and install the plugin based Flash player on Windows.


Note that the current Firefox 31.8.0esr or 31.9.0esr may be the last security update for the old Firefox 31.0 ESR as 38.1.0 ESR is more the primary ESR now.


A section for discussing the Plugin check page is at https://support.mozilla.org/en-US/forums/plug-check-page-discussions

Note the 13.0.0.302 ESR is actually a recent update from Adobe to address critical vulnerabilities. The previous current 13.0.0.296 is vulnerable. https://helpx.adobe.com/security/products/flash-player/apsb15-16.html

Read this answer in context 👍 4

All Replies (2)

more options

Any time you want or need to check for upgrades, go to the web site of the True Owner of the program in question.

Sometimes the plugin checker has old information.

more options

Chosen Solution

Mozilla is aware of the current Flash Player 13.0.0.302 ESR.

June 30, 2015: https://addons.mozilla.org/firefox/blocked/p928 Flash Player Plugin 13.0.0.269 to 13.0.0.295

Mozilla adds version of Plugins and Extensions to the blocklist when they are of serious security, stability and malware concerns. https://addons.mozilla.org/firefox/blocked/

https://helpx.adobe.com/flash-player/kb/uninstall-flash-player-windows.html https://www.adobe.com/products/flashplayer/distribution3.html http://www.adobe.com/software/flash/about/

Make sure Firefox is closed/exited before you uninstall and install the plugin based Flash player on Windows.


Note that the current Firefox 31.8.0esr or 31.9.0esr may be the last security update for the old Firefox 31.0 ESR as 38.1.0 ESR is more the primary ESR now.


A section for discussing the Plugin check page is at https://support.mozilla.org/en-US/forums/plug-check-page-discussions

Note the 13.0.0.302 ESR is actually a recent update from Adobe to address critical vulnerabilities. The previous current 13.0.0.296 is vulnerable. https://helpx.adobe.com/security/products/flash-player/apsb15-16.html

Modified by James